image: microsoft/dotnet:latest

stages:
    - build
    - test

before_script:
    - "cd src"
    - "dotnet restore"

build:
    stage: build
    script:
        - "dotnet build"
    artifacts:
      paths:
        - bin/
    only:
    - dev
    - master

test:
    stage: test
    script:
        - "cd showcase.test"
        - "dotnet test"
    only:
    - merge_requests